<?php
/**
 * @file
 * Theme and preprocess functions for the jPlayer module.
 */

/**
 * Preprocess function for a timetable.
 */
function template_preprocess_field_timetable_view(&$vars) {
  
  //dpm('template_preprocess_field_timetable_view');
  
  // Determine a unique timetable ID.
  $vars['timetable_id'] = '111';
  
  foreach ($vars['rows'] as &$row) {
    $row['color'] = ($row['color']) ? $row['color'] : '#B56B43';
    $row['allDay'] = false;
    $row['textColor'] = '#000';
    $row['start'] = $row['start_minute'];
    $row['end'] = $row['end_minute'];
    $row['resource'] = $row['day'];
  }
  
  //dpm($vars['rows']);
  
}

/**
 * The main theme function for the jqgrid.
 */
function theme_field_timetable_view($variables) {
  
  //dpm('theme_field_timetable_view');
  //dpm($variables['options']);

  $path = drupal_get_path('module', 'field_timetable');
  // Add all the CSS & JS.
  // Add the core jqgrid library.
  drupal_add_library('field_timetable', 'field_timetable');
  
  // OPTION
  $field_timetable_options['editable'] = FALSE;
  $field_timetable_options['selectable'] = FALSE;
  $field_timetable_options['selecthelper'] = FALSE;
  $field_timetable_options['mintime'] = $variables['options']['mintime'];
  $field_timetable_options['maxtime'] = $variables['options']['maxtime'];
  $field_timetable_options['slotminutes'] = $variables['options']['slotminutes'];
  
  $field_timetable_options['resources'] = array();
  array_push($field_timetable_options['resources'], array('id' => '1', 'name' => 'Lundi'));
  array_push($field_timetable_options['resources'], array('id' => '2', 'name' => 'Mardi'));
  array_push($field_timetable_options['resources'], array('id' => '3', 'name' => 'Mercredi'));
  array_push($field_timetable_options['resources'], array('id' => '4', 'name' => 'Jeudi'));
  array_push($field_timetable_options['resources'], array('id' => '5', 'name' => 'Vendredi'));
  //array_push($field_timetable_options['resources'], array('id' => '6', 'name' => 'Samedi'));
  //array_push($field_timetable_options['resources'], array('id' => '7', 'name' => 'Dimanche'));
  
  $field_timetable_options['rows'] = $variables['rows'];
  
  $resources = array();

  drupal_add_js(array('field_timetable' => array('#' . $variables['timetable_id'] => $field_timetable_options)), 'setting');
  
  drupal_add_js($path . '/js/field_timetable.jquery.js');

  unset($field_timetable_options);

  $output = "<div id='" . $variables['timetable_id'] . "'></div>";

  return $output;

}


